Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.linear
Class NonSquareOperatorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math3.exception.MathIllegalArgumentException
                          org.apache.commons.math3.exception.MathIllegalNumberException
                              org.apache.commons.math3.exception.DimensionMismatchException
                                  org.apache.commons.math3.linear.NonSquareOperatorException

All Implemented Interfaces:
  Serializable, ExceptionContextProvider

    public class NonSquareOperatorException

extends DimensionMismatchException

Exception to be thrown when a square linear operator is expected.

Since:
  3.0
Version:
  $Id: NonSquareOperatorException.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

Constructor Summary
`NonSquareOperatorException(int wrong, int expected)` Construct an exception from the mismatched dimensions.

Method Summary

Methods inherited from class org.apache.commons.math3.exception.DimensionMismatchException
`getDimension`

Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException
`getArgument`

Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException
`getContext, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonSquareOperatorException

    public NonSquareOperatorException(int wrong,
                                      int expected)

  Construct an exception from the mismatched dimensions.

  Parameters:
    `wrong` - Row dimension.
    `expected` - Column dimension.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.